<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td class="project-title">
        {{ companySubAccount.company_account.code }}
    </td>
    <td class="project-title">
        {{ companySubAccount.code }}
    </td>
    <td class="project-title">{{ companySubAccount.description }}</td>
    <td class="project-actions text-right">
        <button class="btn btn-white btn-sm" @click="del( companySubAccount.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </button>
        <button class="btn btn-white btn-sm" 
                @click="edit( {id: companySubAccount.id,code: companySubAccount.code,description: companySubAccount.description, company_account:companySubAccount.company_account_id } )"> 
            <i class="fa fa-pencil" ></i>&nbsp;&nbsp;Edit&nbsp;&nbsp;&nbsp;
        </button>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'companySubAccount',
        'row'
    ],
    methods: {
        edit( row_data ) {
            this.$emit('edit', row_data)
        },
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

